Bug 1159726 - RFE: blockdev-add support for gluster
Summary: RFE: blockdev-add support for gluster
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 7.4
Assignee: Kevin Wolf
QA Contact: Suqin Huang
URL:
Whiteboard:
Keywords: FutureFeature
Depends On: 1087142
Blocks: 750801
TreeView+ depends on / blocked
 
Reported: 2014-11-03 07:54 UTC by Sibiao Luo
Modified: 2017-08-02 03:22 UTC (History)
17 users (show)

(edit)
Clone Of: 1087142
(edit)
Last Closed: 2017-08-01 23:27:12 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Comment 1 Sibiao Luo 2014-11-03 07:54:57 UTC
host info:
# uname -r && rpm -q qemu-kvm-rhev
3.10.0-191.el7.x86_64
qemu-kvm-rhev-2.1.2-5.el7.x86_64

# qemu-img info gluster://10.66.106.25/gv0/sluo.qcow2
image: gluster://10.66.106.25/gv0/sluo.qcow2
file format: qcow2
virtual size: 1.0G (1073741824 bytes)
disk size: 193K
cluster_size: 65536
Format specific information:
    compat: 1.1
    lazy refcounts: false

{ "execute": "blockdev-add", "arguments": {'options' : {'driver': 'qcow2', 'id':'drive-disk1', "aio":"native", 'rerror':'stop', 'werror':'stop', 'file': {'driver': 'file', 'filename': 'gluster://10.66.106.25/gv0/sluo.qcow2'}, 'cache': { 'writeback': false, 'direct': true, 'no-flush': false }}} }
{"error": {"class": "GenericError", "desc": "could not open disk image drive-disk1: Could not open 'gluster://10.66.106.25/gv0/sluo.qcow2': No such file or directory"}}

Best Regards,
sluo

Comment 6 Ademar Reis 2017-03-31 21:33:23 UTC
blockdev-add is declared stable in QEMU-2.9.

Comment 8 Suqin Huang 2017-05-05 03:01:30 UTC
1. Package:
qemu-kvm-rhev-2.9.0-2.el7.x86_64

2. Guests:

rhel7.4 and win2016-64

3. steps:

1). hotplug the drive

{"execute":"qmp_capabilities"}
{"return": {}}

{
    "execute": "blockdev-add",
        "arguments": {
            "node-name": "drive2",
            "driver": "qcow2",
            "file": {
                "driver": "gluster",
                "volume": "gv0",
                "debug": 4,
                "path": "plug.img",
                "server" : [
                    { "type": "inet", "host": "bootp-73-131-242.rhts.eng.pek2.redhat.com", "port": "24007"
                    }
                ]
            }
        }
}
{"return": {}}

2). hotplug the device

{
    "execute":"device_add",
        "arguments":{
            "driver":"virtio-blk-pci",
            "drive":"drive2",
            "id":"shuang"
                   }
}

4. Result: PASS

(qemu) info pci 

  Bus  0, device   4, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 0.
      BAR0: I/O at 0x1000 [0x103f].
      BAR1: 32 bit memory at 0x80004000 [0x80004fff].
      BAR4: 64 bit prefetchable memory at 0x80000000 [0x80003fff].
      id "shuang"

(qemu) info block -n

drive2: json:{"driver": "qcow2", "file": {"server.0.host": "10.73.199.197", "driver": "gluster", "path": "test.qcow2", "server.0.type": "inet", "server.0.port": "24007", "volume": "gv0", "debug": 4}} (qcow2)
    Cache mode:       writeback

Linux: 
#lsblk

vdb                               252:16   0   1G  0 disk 

Windows:
>diskpart
>list disk

get Disk1 from the output

Comment 9 Suqin Huang 2017-05-05 03:02:14 UTC
update to verified according to comment8

Comment 11 errata-xmlrpc 2017-08-01 23:27:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 12 errata-xmlrpc 2017-08-02 01:04:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 13 errata-xmlrpc 2017-08-02 01:56:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 14 errata-xmlrpc 2017-08-02 02:37:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 15 errata-xmlrpc 2017-08-02 03:02:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 16 errata-xmlrpc 2017-08-02 03:22:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.